petsc-3.4.2 2013-07-02

# PetscOptionsInsertString

Inserts options into the database from a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsertString(const char in_str[])

Not collective: but only processes that call this routine will set the options included in the string

### Input Parameter

in_str -string that contains options separated by blanks

Contributed by Boyana Norris

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsList(), PetscOptionsEList(), PetscOptionsInsertFile()

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html